Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET forwardings

Ostatnia modyfikacja 2026-05-22 13:38:44
Pobieranie przekierowań.

URL

https://your-system-name.thulium.com/api/forwardings

Parametry

destination_number

opcjonalny

Numer docelowy. Przykładowa wartość: 1234

Przykładowy request

GET https://your-system-name.thulium.com/api/forwardings?destination_number=1234

Przykładowy response

[
  {
    "id": 12,
    "source_number": "1232",
    "destination_number": "1234",
    "forward_to": "234234",
    "date_from": "2015-08-24",
    "date_to": "2015-08-27",
    "time_from": "11:30",
    "time_to": "12:30",
    "description": "forwarding",
    "timezone": "Europe/Warsaw"
  }
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/forwardings?destination_number=1234');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/forwardings?destination_number=1234");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/forwardings?destination_number=1234"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/forwardings destination_number==1234 Accept:application/json